/* 
Тестирование производилось на Arduino IDE 1.6.12
Дата тестирования 08.12.2016г.
*/ 
 
#include <Wire.h>                 // Подключаем библиотеку Wire
#include <LiquidCrystal_I2C.h>    // Подключаем библиотеку LiquidCrystal_I2C

byte bukva_B[8]   = {B11110,B10000,B10000,B11110,B10001,B10001,B11110,B00000,}; // Буква "Б"
byte bukva_G[8]   = {B11111,B10001,B10000,B10000,B10000,B10000,B10000,B00000,}; // Буква "Г"
byte bukva_D[8]   = {B01111,B00101,B00101,B01001,B10001,B11111,B10001,B00000,}; // Буква "Д"
byte bukva_ZH[8]  = {B10101,B10101,B10101,B11111,B10101,B10101,B10101,B00000,}; // Буква "Ж"
byte bukva_Z[8]   = {B01110,B10001,B00001,B00010,B00001,B10001,B01110,B00000,}; // Буква "З"
byte bukva_I[8]   = {B10001,B10011,B10011,B10101,B11001,B11001,B10001,B00000,}; // Буква "И"
byte bukva_IY[8]  = {B01110,B00000,B10001,B10011,B10101,B11001,B10001,B00000,}; // Буква "Й"
byte bukva_L[8]   = {B00011,B00111,B00101,B00101,B01101,B01001,B11001,B00000,}; // Буква "Л"
byte bukva_P[8]   = {B11111,B10001,B10001,B10001,B10001,B10001,B10001,B00000,}; // Буква "П"
byte bukva_Y[8]   = {B10001,B10001,B10001,B01010,B00100,B01000,B10000,B00000,}; // Буква "У"
byte bukva_F[8]   = {B00100,B11111,B10101,B10101,B11111,B00100,B00100,B00000,}; // Буква "Ф"
byte bukva_TS[8]  = {B10010,B10010,B10010,B10010,B10010,B10010,B11111,B00001,}; // Буква "Ц"
byte bukva_CH[8]  = {B10001,B10001,B10001,B01111,B00001,B00001,B00001,B00000,}; // Буква "Ч"
byte bukva_Sh[8]  = {B10101,B10101,B10101,B10101,B10101,B10101,B11111,B00000,}; // Буква "Ш"
byte bukva_Shch[8]= {B10101,B10101,B10101,B10101,B10101,B10101,B11111,B00001,}; // Буква "Щ"
byte bukva_Mz[8]  = {B10000,B10000,B10000,B11110,B10001,B10001,B11110,B00000,}; // Буква "Ь"
byte bukva_IYI[8] = {B10001,B10001,B10001,B11001,B10101,B10101,B11001,B00000,}; // Буква "Ы"
byte bukva_Yu[8]  = {B10010,B10101,B10101,B11101,B10101,B10101,B10010,B00000,}; // Буква "Ю"
byte bukva_Ya[8]  = {B01111,B10001,B10001,B01111,B00101,B01001,B10001,B00000,}; // Буква "Я"

LiquidCrystal_I2C lcd(0x3F,16,2); // Задаем адрес и размерность дисплея.

void setup()
{
  lcd.init();                     // Инициализация lcd дисплея
  lcd.backlight();                // Включение подсветки дисплея
}

void loop()
{
 lcd.createChar(1, bukva_P);      // Создаем символ под номером 1
 lcd.createChar(2, bukva_I);      // Создаем символ под номером 2
 
/*
Для наглядности, вывод символом указал отдельно, 
можно минимизировать: lcd.print("\1P\2BET M\2P");
*/

 lcd.setCursor(3, 0);             // Устанавливаем курсор на 1 строку ячейку 3
 lcd.print("\1");                 // Выводим букву "П"
 lcd.setCursor(4, 0);             // Устанавливаем курсор на 1 строку ячейку 4
 lcd.print("P");                  // Выводим букву "P"
 lcd.setCursor(5, 0);             // Устанавливаем курсор на 1 строку ячейку 5
 lcd.print("\2");                 // Выводим букву "И"
 lcd.setCursor(6, 0);             // Устанавливаем курсор на 1 строку ячейку 6
 lcd.print("B");                  // Выводим букву "B"
 lcd.setCursor(7, 0);             // Устанавливаем курсор на 1 строку ячейку 7
 lcd.print("E");                  // Выводим букву "E"
 lcd.setCursor(8, 0);             // Устанавливаем курсор на 1 строку ячейку 8
 lcd.print("T");                  // Выводим букву "T"
 lcd.setCursor(10, 0);            // Устанавливаем курсор на 1 строку ячейку 10
 lcd.print("M");                  // Выводим букву "М"
 lcd.setCursor(11, 0);            // Устанавливаем курсор на 1 строку ячейку 11
 lcd.print("\2");                 // Выводим букву "И"
 lcd.setCursor(12, 0);            // Устанавливаем курсор на 1 строку ячейку 12
 lcd.print("P");                  // Выводим букву "P"
 
 lcd.setCursor(0, 1);             // Устанавливаем курсор на 1 строку
 lcd.print ("www.robotchip.ru");  // Выводим текст
}
